# data store

These are modules providing access to various data stores, including relational, document oriented, key/value stores, etc.

# jdbc

## hikari pool

The [jdbc](/doc/jdbc) module provides a high performance connection pool for jdbc via {{hikari}}.

## Ebean

The [ebean](/doc/ebean) module provides object relational mapping via {{ebean}}.

## Hibernate

The [hibernate](/doc/hbm) module provides object relational mapping via {{hibernate}}.

## jdbi

The [jdbi](/doc/jdbi3) module provides a fluent and lightweight SQL library for *jdbc*.

## jooq

The [jOOQ](/doc/jooq) module lets you build type safe SQL queries through its fluent API.

## querydsl

The [querydsl](/doc/querydsl) module provides unified Queries for SQL. [Querydsl](http://www.querydsl.com/) is compact, safe and easy to learn.

The [querydsl-jpa](/doc/querydsl-jpa) provides unified Queries for JPA. [Querydsl](http://www.querydsl.com/) is compact, safe and easy to learn.

## requery

[Requery](/doc/requery) is a light but powerful object mapping and SQL generator for Java/Kotlin/Android with RxJava and Java 8 support. Easily map to or create databases, perform queries and updates from any platform that uses Java.

## rxjdbc

The [rxjdbc](/doc/rxjava-jdbc) provides efficient execution, concise code, and functional composition of database calls using JDBC and RxJava Observable

## flyway (database migration)

The [flyway](/doc/flyway) module provides database migrations via {{flyway}}.

# NoSQL

## cassandra

The [cassandra](/doc/cassandra) module provides access to {{cassandra}} instances.

## couchbase

The [couchbase](/doc/couchbase) module provides access to {{couchbase}} instances.

## elasticsearch

The [elasticsearch](/doc/elasticsearch) module provides access to [elasticsearch](https://github.com/elastic/elasticsearch) instances.

## mongodb

The [mongodb](/doc/mongodb) module provides access to {{mongodb}} instances.

## jongo

The [jongo](/doc/jongo) module provides query in Java as in Mongo Shell.

## morphia

The [morphia](/doc/morphia) module provides object to document mapper via {{morphia}}.

## mongodb-rx

The [mongodb-rx](/doc/mongodb-rx) module provides composable asynchronous and event-based observable sequences for {{mongodb}}.

## neo4j

The [neo4j](/doc/neo4j) module provides access to [Neo4j](https://neo4j.com) databases.
